Skip to main content

Custom Post

The custom method PostCustomInfo executes a custom script in the database.


HTTP POST Request

Request TypeExample URL
POST{{url_base}}/PostCustomInfo
Examplehttp://seuIPePorta/datasnap/rest/RESTWebServiceMethods/"PostCustomInfo"

Input Parameters​

ParameterTypeRequiredDescription
CustomInfoScriptNameString(50)YesName of the custom method configured in the database
CustomInfoParameterListCustomInfoParameterListNoList of objects with the script execution parameters

📝 CustomInfoParameter Object​

The CustomInfoParameter object represents a parameter for executing the custom script.

Input Parameters​

ParameterTypeRequiredDescription
ParamNameString(30)YesCustom parameter name
ParamValueString(50)YesCustom parameter value
ParamTypeCustomInfoParamTypeNoEnumerator with possible values for Parameter Type (cipNotAssigned, cipString, cipNumeric, cipDateTime)

Return​

ParameterTypeRequiredDescription
WebServiceReturnWebServiceReturnYesStandard WebService response information in method execution

Request Example​

curl --location 'http://seuIPePorta/datasnap/rest/RESTWebServiceMethods/"PostCustomInfo"' \
--header 'Content-Type: application/json' \
--data '{
"CustomInfoScriptName": "UpdateSalesOrderAdditionalInfo",
"CustomInfoParameterList": [
{
"ParamName": "BranchNo",
"ParamValue": "0102",
"ParamType": "cipString"
},
{
"ParamName": "SalesOrderNo",
"ParamValue": "9DNTRF",
"ParamType": "cipString"
},
{
"ParamName": "AnticipatedBilling",
"ParamValue": "N",
"ParamType": "cipString"
},
{
"ParamName": "VehiclePlateNo",
"ParamValue": "BWG135",
"ParamType": "cipString"
}
]
}'

Response Example​

{
"WebServiceReturn": {
"Status": "wrsSuccess",
"ErrorCode": "",
"Message": "",
"Actor": "",
"ReturnQuestion": null
}
}